Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class JScriptContext

public class JScriptContext

pending whether Context.initStandardObjects is used correctly

Field Summary
`final static String` | `ARGUMENT_ELEMENT`
`final static String` | `CLASS_ATTR`
`final static String` | `DOC_ELEMENT`
`final static String` | `METHOD_ATTR`
`final static String` | `NAME_ATTR`
`final static String` | `VARARGS_ATTR`

Method Summary
`static void` | `defineFunction(IConfigurationElement element, Context context, ScriptableObject scope, DataCollection functions)`
`static void` | `defineHostObject(IConfigurationElement element, Context context, ScriptableObject scope, DataCollection hostObjects)`
`static Object` | `evaluateReader(Reader in, String sourceName, int lineno, Object securityDomain)`
`static String` | `evaluateString(String expr)`
`static Context` | `getContext()`
`static ScriptableObject` | `getScope()`
`static void` | `loadExtensions(JScriptVisiblePlugin help)`
`static void` | `loadFunctionExtensions(String extensionPointId, DataCollection functions)` Load all executable extensions for the specified extension point.
`static void` | `loadHostObjectExtensions(String extensionPointId, DataCollection hostObjects)`
`static Object` | `processFile(String filename)`

Field Detail

### ARGUMENT_ELEMENT

    public final static String ARGUMENT_ELEMENT

### CLASS_ATTR

    public final static String CLASS_ATTR

### DOC_ELEMENT

    public final static String DOC_ELEMENT

### METHOD_ATTR

    public final static String METHOD_ATTR

### NAME_ATTR

    public final static String NAME_ATTR

### VARARGS_ATTR

    public final static String VARARGS_ATTR

Method Detail

### defineFunction

    public static void defineFunction(IConfigurationElement element, Context context, ScriptableObject scope, DataCollection functions)

  pending error processing

### defineHostObject

    public static void defineHostObject(IConfigurationElement element, Context context, ScriptableObject scope, DataCollection hostObjects)

### evaluateReader

    public static Object evaluateReader(Reader in, String sourceName, int lineno, Object securityDomain)

### evaluateString

    public static String evaluateString(String expr)

### getContext

    public static Context getContext()

### getScope

    public static ScriptableObject getScope()

### loadExtensions

    public static void loadExtensions(JScriptVisiblePlugin help)

### loadFunctionExtensions

    public static void loadFunctionExtensions(String extensionPointId, DataCollection functions)

  Load all executable extensions for the specified extension point.

### loadHostObjectExtensions

    public static void loadHostObjectExtensions(String extensionPointId, DataCollection hostObjects)

  pending stub

### processFile

    public static Object processFile(String filename)

Association Links

to Class org.apache.log4j.Category

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.util.HashMap

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM